generate_authors() does not include Co-authored-by

Bug #1158319 reported by Russell Bryant on 2013-03-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Monty Taylor
neutron
Undecided
Unassigned
Grizzly
Low
Gary Kotton
oslo-incubator
Medium
Monty Taylor

Bug Description

generate_authors() in openstack.common.setup does not include authors listed in Co-authored-by: lines in the commit message. It should.

Russell Bryant (russellb) wrote :

Added nova to track pulling in the fix from oslo-incubator.

Monty Taylor (mordred) on 2013-03-21
Changed in nova:
assignee: nobody → Monty Taylor (mordred)
Changed in oslo:
assignee: nobody → Monty Taylor (mordred)
Mark McLoughlin (markmc) on 2013-03-21
Changed in oslo:
status: New → Triaged
importance: Undecided → Medium
tags: added: grizzly-rc-potential
tags: added: grizzly-backport-potential
Changed in nova:
status: New → Confirmed
importance: Undecided → Medium

Fix proposed to branch: master
Review: https://review.openstack.org/25016

Changed in oslo:
status: Triaged → In Progress
Changed in nova:
milestone: none → grizzly-rc2
Thierry Carrez (ttx) on 2013-03-22
tags: removed: grizzly-rc-potential

Reviewed: https://review.openstack.org/25016
Committed: http://github.com/openstack/oslo-incubator/commit/6e8b9ba12c96cbf422edd54a6cb12cbc0df66514
Submitter: Jenkins
Branch: master

commit 6e8b9ba12c96cbf422edd54a6cb12cbc0df66514
Author: Monty Taylor <email address hidden>
Date: Thu Mar 21 10:57:23 2013 -0500

    Include Co-authored-by entries in AUTHORS.

    Co-authored-by lines are the way we've decided to indicated shared
    authorship of a patch, so content from them should be included in
    the generated AUTHORS file.

    Fixes bug 1158319.

    Change-Id: I9dacf78c01f3ad74e696f16a7aa39edb98e8d185

Changed in oslo:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/25276
Committed: http://github.com/openstack/oslo-incubator/commit/40807998b8c26bc69048bda228f056b1ac5d83bf
Submitter: Jenkins
Branch: stable/grizzly

commit 40807998b8c26bc69048bda228f056b1ac5d83bf
Author: Monty Taylor <email address hidden>
Date: Thu Mar 21 10:57:23 2013 -0500

    Include Co-authored-by entries in AUTHORS.

    Co-authored-by lines are the way we've decided to indicated shared
    authorship of a patch, so content from them should be included in
    the generated AUTHORS file.

    Fixes bug 1158319.

    Change-Id: I9dacf78c01f3ad74e696f16a7aa39edb98e8d185

tags: added: in-stable-grizzly

Fix proposed to branch: master
Review: https://review.openstack.org/25282

Changed in nova:
assignee: Monty Taylor (mordred) → Thierry Carrez (ttx)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/25282
Committed: http://github.com/openstack/nova/commit/c88db2c8f73e13e1cfba081d91743a7450c5732d
Submitter: Jenkins
Branch: master

commit c88db2c8f73e13e1cfba081d91743a7450c5732d
Author: Thierry Carrez <email address hidden>
Date: Mon Mar 25 16:09:46 2013 +0100

    Include Co-authored-by entries in AUTHORS

    Import latest openstack.common.setup from oslo-incubator, which includes
    the fix to include Co-authored-by entries in AUTHORS.

    Fixes bug 1158319

    Change-Id: I4f0ba09816730d10869c4ca639e2930d266eac8f

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/25285
Committed: http://github.com/openstack/nova/commit/b93de106dfd59cd3f9b33328430340cc1473b2f5
Submitter: Jenkins
Branch: milestone-proposed

commit b93de106dfd59cd3f9b33328430340cc1473b2f5
Author: Thierry Carrez <email address hidden>
Date: Mon Mar 25 16:25:30 2013 +0100

    Import latest openstack.common.setup

    Import latest openstack.common.setup from oslo-incubator.
    Fixes bug 1158319 (Include Co-authored-by entries in AUTHORS), but also:
    * stop using --stat for ChangeLog
    * failing to get version from git
    * returncode for Popen is valid only after communicate call

    Change-Id: Ib7a391560ec885b5478208cd441ce2c10e9d8cac

Changed in nova:
status: Fix Committed → Fix Released
Mark McLoughlin (markmc) wrote :

The fix wasn't complete, so this still isn't fixed in nova rc2: https://github.com/openstack/oslo-incubator/commit/47e9e98d6

tags: removed: in-stable-grizzly
Changed in nova:
status: Fix Released → Triaged
milestone: grizzly-rc2 → none
tags: added: grizzly-rc-potential
Thierry Carrez (ttx) on 2013-04-03
Changed in nova:
assignee: Thierry Carrez (ttx) → nobody
Vish Ishaya (vishvananda) wrote :
tags: removed: grizzly-rc-potential
Changed in nova:
assignee: nobody → Monty Taylor (mordred)
milestone: none → havana-1
status: Triaged → Fix Committed
tags: removed: grizzly-backport-potential
Thierry Carrez (ttx) on 2013-05-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-30
Changed in oslo:
milestone: none → havana-1
status: Fix Committed → Fix Released
Changed in quantum:
status: New → Invalid
Thierry Carrez (ttx) on 2013-10-17
Changed in oslo:
milestone: havana-1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-1 → 2013.2
Sean Dague (sdague) on 2014-09-19
no longer affects: nova/grizzly
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers